Control APIAPI 레퍼런스Deployments

App 배포 목록을 조회합니다

베타 API

Control API의 /v1 계약은 변경될 수 있으며, 호환되지 않는 변경도 별칭 없이 배포될 수 있습니다.

GET/v1/apps/{appId}/deployments

target과 status로 필터링하고 cursor로 페이지를 넘깁니다. ntro deployments list 명령에 대응합니다.

인증

bearerAuth
인증Bearer <token>

Identity access JWT 또는 ntro_ API token을 사용합니다. token 관리 경로는 Identity access JWT만 허용합니다.

위치: header

경로 매개변수

appId*string

쿼리 매개변수

cursor?string
limit?integer
status?string
target?string

응답 본문

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/apps/string/deployments"
{  "items": [    {      "appId": "string",      "createdAt": "string",      "errorCode": "string",      "fileCount": 0,      "id": "string",      "meta": true,      "preview": {        "capturedAt": "string",        "image": {          "token": "string",          "version": "string"        },        "status": "string"      },      "readyAt": "string",      "redeployOf": "string",      "shortId": "string",      "status": "string",      "target": "string",      "totalBytes": 0,      "url": "string"    }  ],  "nextCursor": "string"}